For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • GETGet an Organization
      • GETGet Organization audit logs
      • GETList Organizations
      • POSTUpdate an Organization
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceOrganization

Update an Organization

POST
https://api.astronomer.io/v1/organizations/:organizationId
POST
/v1/organizations/:organizationId
$curl -X POST https://api.astronomer.io/v1/organizations/organizationId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "billingEmail": "billing@company.com",
> "isScimEnabled": false,
> "name": "My Organization"
>}'
1{
2 "allowEnhancedSupportAccess": true,
3 "createdAt": "2022-11-22T04:37:12Z",
4 "createdBy": {
5 "id": "clm8qv74h000008mlf08scq7k",
6 "apiTokenName": "my-token",
7 "avatarUrl": "https://avatar.url",
8 "fullName": "Jane Doe",
9 "subjectType": "USER",
10 "username": "user1@company.com"
11 },
12 "hasAllowedIpAddressRanges": false,
13 "id": "clmaxoarx000008l2c5ayb9pt",
14 "isScimEnabled": false,
15 "name": "My organization",
16 "productPlans": [
17 {
18 "astronomerProduct": "ASTRO",
19 "organizationId": "string",
20 "productPlanId": "string",
21 "productPlanName": "BUSINESS_CRITICAL"
22 }
23 ],
24 "shouldEnforceDedicatedClusters": true,
25 "updatedAt": "2022-11-22T04:37:12Z",
26 "updatedBy": {
27 "id": "clm8qv74h000008mlf08scq7k",
28 "apiTokenName": "my-token",
29 "avatarUrl": "https://avatar.url",
30 "fullName": "Jane Doe",
31 "subjectType": "USER",
32 "username": "user1@company.com"
33 },
34 "billingEmail": "billing@company.com",
35 "managedDomains": [
36 {
37 "createdAt": "2024-01-15T09:30:00Z",
38 "id": "cln203mz7000008jv0jyz9m3y",
39 "name": "mycompany.com",
40 "organizationId": "cln204xr2000008mu3hhe3zwe",
41 "status": "PENDING",
42 "updatedAt": "2024-01-15T09:30:00Z",
43 "enforcedLogins": [
44 "password"
45 ]
46 }
47 ],
48 "paymentMethod": "CREDIT_CARD",
49 "product": "HOSTED",
50 "status": "ACTIVE",
51 "trialExpiresAt": "2022-11-22T04:37:12Z"
52}
Update an Organization's details.
Was this page helpful?
Previous

Create a custom role

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The Organization's ID.

Request

The request body for updating the Organization.
billingEmailstringRequired
The Organization's billing email.
isScimEnabledbooleanRequired
Whether SCIM is enabled for the Organization.
namestringRequired<=50 characters
The name of the Organization.
allowEnhancedSupportAccessbooleanOptional
shouldEnforceDedicatedClustersbooleanOptional

Response

OK
allowEnhancedSupportAccessboolean
Whether the organization allows CRE to have view access to their entities
createdAtstringformat: "date-time"

The time when the Organization was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
hasAllowedIpAddressRangesboolean
Whether the Organization has at least one IP address range configured.
idstring
The Organization's ID.
isScimEnabledboolean
Whether SCIM is enabled for the Organization.
namestring
The Organization's name.
productPlanslist of objects
shouldEnforceDedicatedClustersboolean
updatedAtstringformat: "date-time"

The time when the Organization was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedByobject
billingEmailstring
The Organization's billing email.
managedDomainslist of objects
The list of managed domains configured in the Organization.
paymentMethodenum
The Organization's payment method.
productenum
The Organization's product type.
Allowed values:
statusenum
The Organization's status.
Allowed values:
trialExpiresAtstringformat: "date-time"

The time when the Organization’s trial expires in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ. Organizations that are no longer in Trial will not have a expiry date.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error